var search_data = {"index":{"searchIndex":["matrix","vector","*()","*()","**()","+()","+()","-()","-()","/()","==()","==()","i()","[]()","[]()","[]()","[]()","clone()","clone()","coerce()","coerce()","collect()","collect()","collect2()","column()","column_size()","column_vector()","column_vectors()","columns()","compare_by()","compare_by_row_vectors()","covector()","det()","determinant()","diagonal()","each2()","elements()","eql?()","eql?()","hash()","hash()","identity()","init_elements()","inner_product()","inspect()","inspect()","inv()","inverse()","inverse_from()","map()","map()","map2()","minor()","new()","new()","r()","rank()","regular?()","row()","row_size()","row_vector()","row_vectors()","rows()","scalar()","singular?()","size()","square?()","t()","to_a()","to_a()","to_s()","to_s()","tr()","trace()","transpose()","unit()","zero()"],"longSearchIndex":["matrix","vector","matrix#*()","vector#*()","matrix#**()","matrix#+()","vector#+()","matrix#-()","vector#-()","matrix#/()","matrix#==()","vector#==()","matrix::i()","matrix::[]()","matrix#[]()","vector::[]()","vector#[]()","matrix#clone()","vector#clone()","matrix#coerce()","vector#coerce()","matrix#collect()","vector#collect()","vector#collect2()","matrix#column()","matrix#column_size()","matrix::column_vector()","matrix#column_vectors()","matrix::columns()","vector#compare_by()","matrix#compare_by_row_vectors()","vector#covector()","matrix#det()","matrix#determinant()","matrix::diagonal()","vector#each2()","vector::elements()","matrix#eql?()","vector#eql?()","matrix#hash()","vector#hash()","matrix::identity()","vector#init_elements()","vector#inner_product()","matrix#inspect()","vector#inspect()","matrix#inv()","matrix#inverse()","matrix#inverse_from()","matrix#map()","vector#map()","vector#map2()","matrix#minor()","matrix::new()","vector::new()","vector#r()","matrix#rank()","matrix#regular?()","matrix#row()","matrix#row_size()","matrix::row_vector()","matrix#row_vectors()","matrix::rows()","matrix::scalar()","matrix#singular?()","vector#size()","matrix#square?()","matrix#t()","matrix#to_a()","vector#to_a()","matrix#to_s()","vector#to_s()","matrix#tr()","matrix#trace()","matrix#transpose()","matrix::unit()","matrix::zero()"],"info":[["Matrix","","Matrix.html","","<p>The <code>Matrix</code> class represents a mathematical matrix, and\nprovides methods for creating special-case matrices …\n"],["Vector","","Vector.html","","<p>The <code>Vector</code> class represents a mathematical vector, which is\nuseful in its own right, and also constitutes …\n"],["*","Matrix","Matrix.html#method-i-2A","(m)","<p>Matrix multiplication.\n\n<pre>Matrix[[2,4], [6,8]] * Matrix.identity(2)\n  =&gt; 2 4\n     6 8</pre>\n"],["*","Vector","Vector.html#method-i-2A","(x)","<p>Multiplies the vector by <code>x</code>, where <code>x</code> is a number\nor another vector.\n"],["**","Matrix","Matrix.html#method-i-2A-2A","(other)","<p>Matrix exponentiation.  Defined for integer powers only.  Equivalent to\nmultiplying the matrix by itself …\n"],["+","Matrix","Matrix.html#method-i-2B","(m)","<p>Matrix addition.\n\n<pre>Matrix.scalar(2,5) + Matrix[[1,0], [-4,7]]\n  =&gt;  6  0\n     -4 12</pre>\n"],["+","Vector","Vector.html#method-i-2B","(v)","<p>Vector addition.\n"],["-","Matrix","Matrix.html#method-i-2D","(m)","<p>Matrix subtraction.\n\n<pre>Matrix[[1,5], [4,2]] - Matrix[[9,3], [-4,1]]\n  =&gt; -8  2\n      8  1</pre>\n"],["-","Vector","Vector.html#method-i-2D","(v)","<p>Vector subtraction.\n"],["/","Matrix","Matrix.html#method-i-2F","(other)","<p>Matrix division (multiplication by the inverse).\n\n<pre>Matrix[[7,6], [3,9]] / Matrix[[2,9], [3,1]]\n  =&gt; -7  ...</pre>\n"],["==","Matrix","Matrix.html#method-i-3D-3D","(other)","<p>Returns <code>true</code> if and only if the two matrices contain equal\nelements.\n"],["==","Vector","Vector.html#method-i-3D-3D","(other)","<p>Returns <code>true</code> iff the two vectors have the same elements in the\nsame order.\n"],["I","Matrix","Matrix.html#method-c-I","(n)",""],["[]","Matrix","Matrix.html#method-c-5B-5D","(*rows)","<p>Creates a matrix where each argument is a row.\n\n<pre>Matrix[ [25, 93], [-1, 66] ]\n   =&gt;  25 93\n       -1 66</pre>\n"],["[]","Matrix","Matrix.html#method-i-5B-5D","(i, j)","<p>Returns element (<code>i</code>,<code>j</code>) of the matrix.  That is:\nrow <code>i</code>, column <code>j</code>.\n"],["[]","Vector","Vector.html#method-c-5B-5D","(*array)","<p>Creates a Vector from a list of elements.\n\n<pre>Vector[7, 4, ...]</pre>\n"],["[]","Vector","Vector.html#method-i-5B-5D","(i)","<p>Returns element number <code>i</code> (starting at zero) of the vector.\n"],["clone","Matrix","Matrix.html#method-i-clone","()","<p>Returns a clone of the matrix, so that the contents of each do not\nreference identical objects.\n"],["clone","Vector","Vector.html#method-i-clone","()","<p>Return a copy of the vector.\n"],["coerce","Matrix","Matrix.html#method-i-coerce","(other)","<p>FIXME: describe #coerce.\n"],["coerce","Vector","Vector.html#method-i-coerce","(other)","<p>FIXME: describe Vector#coerce.\n"],["collect","Matrix","Matrix.html#method-i-collect","()","<p>Returns a matrix that is the result of iteration of the given block over\nall elements of the matrix. …\n"],["collect","Vector","Vector.html#method-i-collect","()","<p>Like Array#collect.\n"],["collect2","Vector","Vector.html#method-i-collect2","(v)","<p>Collects (as in Enumerable#collect) over the elements of this vector and\n<code>v</code> in conjunction.\n"],["column","Matrix","Matrix.html#method-i-column","(j)","<p>Returns column vector number <code>j</code> of the matrix as a Vector\n(starting at 0 like an array).  When a block …\n"],["column_size","Matrix","Matrix.html#method-i-column_size","()","<p>Returns the number of columns.  Note that it is possible to construct a\nmatrix with uneven columns (e.g. …\n"],["column_vector","Matrix","Matrix.html#method-c-column_vector","(column)","<p>Creates a single-column matrix where the values of that column are as given\nin <code>column</code>.\n\n<pre>Matrix.column_vector([4,5,6]) ...</pre>\n"],["column_vectors","Matrix","Matrix.html#method-i-column_vectors","()","<p>Returns an array of the column vectors of the matrix.  See Vector.\n"],["columns","Matrix","Matrix.html#method-c-columns","(columns)","<p>Creates a matrix using <code>columns</code> as an array of column vectors.\n\n<pre>Matrix.columns([[25, 93], [-1, 66]])\n   ...</pre>\n"],["compare_by","Vector","Vector.html#method-i-compare_by","(elements)","<p>For internal use.\n"],["compare_by_row_vectors","Matrix","Matrix.html#method-i-compare_by_row_vectors","(rows)","<p>Not really intended for general consumption.\n"],["covector","Vector","Vector.html#method-i-covector","()","<p>Creates a single-row matrix from this vector.\n"],["det","Matrix","Matrix.html#method-i-det","()",""],["determinant","Matrix","Matrix.html#method-i-determinant","()","<p>Returns the determinant of the matrix.  If the matrix is not square, the\nresult is 0.\n\n<pre>Matrix[[7,6], [3,9]].determinant ...</pre>\n"],["diagonal","Matrix","Matrix.html#method-c-diagonal","(*values)","<p>Creates a matrix where the diagonal elements are composed of\n<code>values</code>.\n\n<pre>Matrix.diagonal(9, 5, -3)\n  =&gt;  9 ...</pre>\n"],["each2","Vector","Vector.html#method-i-each2","(v)","<p>Iterate over the elements of this vector and <code>v</code> in conjunction.\n"],["elements","Vector","Vector.html#method-c-elements","(array, copy = true)","<p>Creates a vector from an Array.  The optional second argument specifies\nwhether the array itself or a …\n"],["eql?","Matrix","Matrix.html#method-i-eql-3F","(other)",""],["eql?","Vector","Vector.html#method-i-eql-3F","(other)",""],["hash","Matrix","Matrix.html#method-i-hash","()","<p>Returns a hash-code for the matrix.\n"],["hash","Vector","Vector.html#method-i-hash","()","<p>Return a hash-code for the vector.\n"],["identity","Matrix","Matrix.html#method-c-identity","(n)","<p>Creates an <code>n</code> by <code>n</code> identity matrix.\n\n<pre>Matrix.identity(2)\n  =&gt; 1 0\n     0 1</pre>\n"],["init_elements","Vector","Vector.html#method-i-init_elements","(array, copy)","<p>For internal use.\n"],["inner_product","Vector","Vector.html#method-i-inner_product","(v)","<p>Returns the inner product of this vector with the other.\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Vector</span>[<span class=\"ruby-value\">4</span>,<span class=\"ruby-value\">7</span>].<span class=\"ruby-identifier\">inner_product</span> <span class=\"ruby-constant\">Vector</span>[<span class=\"ruby-value\">10</span>,<span class=\"ruby-value\">1</span>]  <span class=\"ruby-operator\">=&gt;</span> <span class=\"ruby-value\">47</span>\n</pre>\n"],["inspect","Matrix","Matrix.html#method-i-inspect","()","<p>Overrides Object#inspect\n"],["inspect","Vector","Vector.html#method-i-inspect","()","<p>Overrides Object#inspect\n"],["inv","Matrix","Matrix.html#method-i-inv","()",""],["inverse","Matrix","Matrix.html#method-i-inverse","()","<p>Returns the inverse of the matrix.\n\n<pre>Matrix[[1, 2], [2, 1]].inverse\n  =&gt; -1  1\n      0 -1</pre>\n"],["inverse_from","Matrix","Matrix.html#method-i-inverse_from","(src)","<p>Not for public consumption?\n"],["map","Matrix","Matrix.html#method-i-map","()",""],["map","Vector","Vector.html#method-i-map","()",""],["map2","Vector","Vector.html#method-i-map2","(v)","<p>Like Vector#collect2, but returns a Vector instead of an Array.\n"],["minor","Matrix","Matrix.html#method-i-minor","(*param)","<p>Returns a section of the matrix.  The parameters are either:\n<p>start_row, nrows, start_col, ncols; OR\n<p>col_range …\n"],["new","Matrix","Matrix.html#method-c-new","(init_method, *argv)","<p>This method is used by the other methods that create matrices, and is of no\nuse to general users.\n"],["new","Vector","Vector.html#method-c-new","(method, array, copy)","<p>For internal use.\n"],["r","Vector","Vector.html#method-i-r","()","<p>Returns the modulus (Pythagorean distance) of the vector.\n\n<pre>Vector[5,8,2].r =&gt; 9.643650761</pre>\n"],["rank","Matrix","Matrix.html#method-i-rank","()","<p>Returns the rank of the matrix.  Beware that using Float values, with their\nusual lack of precision, …\n"],["regular?","Matrix","Matrix.html#method-i-regular-3F","()","<p>Returns <code>true</code> if this is a regular matrix.\n"],["row","Matrix","Matrix.html#method-i-row","(i)","<p>Returns row vector number <code>i</code> of the matrix as a Vector\n(starting at 0 like an array).  When a block is …\n"],["row_size","Matrix","Matrix.html#method-i-row_size","()","<p>Returns the number of rows.\n"],["row_vector","Matrix","Matrix.html#method-c-row_vector","(row)","<p>Creates a single-row matrix where the values of that row are as given in\n<code>row</code>.\n\n<pre>Matrix.row_vector([4,5,6]) ...</pre>\n"],["row_vectors","Matrix","Matrix.html#method-i-row_vectors","()","<p>Returns an array of the row vectors of the matrix.  See Vector.\n"],["rows","Matrix","Matrix.html#method-c-rows","(rows, copy = true)","<p>Creates a matrix where <code>rows</code> is an array of arrays, each of\nwhich is a row to the matrix.  If the optional …\n"],["scalar","Matrix","Matrix.html#method-c-scalar","(n, value)","<p>Creates an <code>n</code> by <code>n</code> diagonal matrix where each\ndiagonal element is <code>value</code>.\n\n<pre>Matrix.scalar(2, 5)\n  =&gt; 5 0\n ...</pre>\n"],["singular?","Matrix","Matrix.html#method-i-singular-3F","()","<p>Returns <code>true</code> is this is a singular (i.e. non-regular) matrix.\n"],["size","Vector","Vector.html#method-i-size","()","<p>Returns the number of elements in the vector.\n"],["square?","Matrix","Matrix.html#method-i-square-3F","()","<p>Returns <code>true</code> is this is a square matrix.  See note in\ncolumn_size about this being unreliable, though. …\n"],["t","Matrix","Matrix.html#method-i-t","()",""],["to_a","Matrix","Matrix.html#method-i-to_a","()","<p>Returns an array of arrays that describe the rows of the matrix.\n"],["to_a","Vector","Vector.html#method-i-to_a","()","<p>Returns the elements of the vector in an array.\n"],["to_s","Matrix","Matrix.html#method-i-to_s","()","<p>Overrides Object#to_s\n"],["to_s","Vector","Vector.html#method-i-to_s","()","<p>Overrides Object#to_s\n"],["tr","Matrix","Matrix.html#method-i-tr","()",""],["trace","Matrix","Matrix.html#method-i-trace","()","<p>Returns the trace (sum of diagonal elements) of the matrix.\n\n<pre>Matrix[[7,6], [3,9]].trace\n  =&gt; 16</pre>\n"],["transpose","Matrix","Matrix.html#method-i-transpose","()","<p>Returns the transpose of the matrix.\n\n<pre>Matrix[[1,2], [3,4], [5,6]]\n  =&gt; 1 2\n     3 4\n     5 6\nMatrix[[1,2], ...</pre>\n"],["unit","Matrix","Matrix.html#method-c-unit","(n)",""],["zero","Matrix","Matrix.html#method-c-zero","(n)","<p>Creates an <code>n</code> by <code>n</code> zero matrix.\n\n<pre>Matrix.zero(2)\n  =&gt; 0 0\n     0 0</pre>\n"]]}}